#include "pch.h"
#include "FDDStd253.h"
#include "Platform.h"
#include "resource.h"

IMPLEMENT_DYNAMIC(CFDDStd253, CFDDStd326)

CFDDStd253::CFDDStd253()
    = default;

CFDDStd253::~CFDDStd253()
    = default;

bool CFDDStd253::InitDevice(const uint16_t addrStart)
{
	const bool bRet = CFDDStd326::InitDevice(addrStart);

	if (bRet)
	{
		// 253 прошивка, там нету перехода к эмулятору EIS/FIS
		g_Platform.SetInterceptAddress(0160422, 0161540);
	}

	return bRet;
}

bool CFDDStd253::OnInitDevice()
{
	static const std::array<CBKMPIDevice::BoardRomList_t, FDDRomListSize> m_arrFDD253RomList =
	{
		{
			// инициализируем список загружаемых ПЗУ
			{ IDS_INI_FDR253, KNGMD_FDDROM_BNK }
		}
	};
	// инициализация карты памяти
	return InitMemoryModules(m_arrFDD253RomList);
}
